## khotkeys 5.5.5

=== CMakeLists.txt ===
project(khotkeys)
set(PROJECT_VERSION "5.5.5")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.4.0")

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/libkhotkeysprivate
    ${CMAKE_CURRENT_BINARY_DIR}/libkhotkeysprivate
    ${CMAKE_CURRENT_BINARY_DIR}
)

find_package(ECM 1.1.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMPackageConfigHelpers)
include(ECMOptionalAddSubdirectory)

find_package(KF5 REQUIRED COMPONENTS
    GlobalAccel
    I18n
    KIO
    XmlGui
    KDELibs4Support
    DBusAddons
    KCMUtils
    Plasma
)

find_package(X11 REQUIRED)
find_package(LibKWorkspace CONFIG REQUIRED)

if(X11_FOUND)
    find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS X11Extras )
endif()

configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=1217)
remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)

# Set KI18n translation domain
add_definitions(-DTRANSLATION_DOMAIN=\"khotkeys\")

# Convenience library
add_subdirectory( libkhotkeysprivate )
# has to be before kcm_hotkeys
add_subdirectory( app )
# kcm module to configure hotkeys
add_subdirectory( kcm_hotkeys )
# kdedmodule and standalone demon for hotkeys
add_subdirectory( data )
add_subdirectory( test )
add_subdirectory( doc )
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== app/CMakeLists.txt ===
########### next target ###############

set(kded_khotkeys_PART_SRCS 
        kded.cpp
        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.khotkeys.xml)

qt5_generate_dbus_interface(kded.h org.kde.khotkeys.xml )

add_library(kded_khotkeys MODULE ${kded_khotkeys_PART_SRCS})
set_target_properties(kded_khotkeys PROPERTIES OUTPUT_NAME khotkeys)
kcoreaddons_desktop_to_json(kded_khotkeys khotkeys.desktop)

target_link_libraries(kded_khotkeys
    khotkeysprivate
    PW::KWorkspace
    KF5::DBusAddons
    KF5::KDELibs4Support)

# I'm not sure if this is needed anymore. Check it
if(X11_XTest_FOUND)
    target_link_libraries(kded_khotkeys ${X11_XTest_LIB})
endif()

set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KHotKeysDBusInterface")

ecm_configure_package_config_file(KHotKeysDBusInterfaceConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/KHotKeysDBusInterfaceConfig.cmake
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

########### install files ###############
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/KHotKeysDBusInterfaceConfig.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(TARGETS kded_khotkeys DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kded)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.khotkeys.xml
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

=== data/CMakeLists.txt ===
install( FILES
    defaults.khotkeys
    kde32b1.khotkeys
    konqueror_gestures_kde321.khotkeys
    DESTINATION  ${DATA_INSTALL_DIR}/khotkeys )

=== test/CMakeLists.txt ===
########### next target ###############

include_directories(../app
                    ${CMAKE_CURRENT_BINARY_DIR}/../app)

set(khotkeys_standalone_PART_SRCS
        main.cpp
        ../app/kded.cpp)

add_executable(khotkeys_standalone ${khotkeys_standalone_PART_SRCS})
target_link_libraries(khotkeys_standalone
    khotkeysprivate
    PW::KWorkspace
    KF5::DBusAddons
    KF5::KDELibs4Support)

# I'm not sure if this is needed anymore. Check it
if(X11_XTest_FOUND)
    target_link_libraries(khotkeys_standalone ${X11_XTest_LIB})
endif()


# Don't install anything, this is just for debugging

=== doc/en/kcm/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/khotkeys)

## khotkeys 5.2.2

=== debian/changelog ===
khotkeys (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:16:27 -0700

khotkeys (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:39:00 -0800

khotkeys (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:52:06 +0100

khotkeys (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:29:38 +0100

khotkeys (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Dec 2014 13:08:10 +0100

khotkeys (4:5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:44:02 +0100

khotkeys (4:5.1.0.1-0ubuntu1) vivid; urgency=medium

  * New upstream beta release
  * New upstream release
  * New upstream release with fixed tar

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 13:47:51 +0200

khotkeys (4:5.0.2-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * switch to new pkg-kde-tools

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 17 Sep 2014 18:14:16 -0700

khotkeys (4:5.0.1-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Fix install
  * Update watch to http://download.kde.org

  [ Jonathan Riddell ]
  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 15:41:34 +0200

khotkeys (4:4.98.0-0ubuntu1) utopic; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 13:18:55 +0200

khotkeys (4:4.97.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * Initial release.

  [ José Manuel Santamaría Lema ]
  * Build depend on libqt5x11extras5-dev.
  * Amend khotkeys description.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jun 2014 10:23:43 +0100

=== debian/control ===
Source: khotkeys
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               dbus-x11,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.3.0~),
               qtbase5-dev,
               libkf5globalaccel-dev (>= 5.2.0),
               libkf5i18n-dev (>= 5.2.0),
               kio-dev (>= 5.2.0),
               libkf5xmlgui-dev (>= 5.2.0),
               libkf5kdelibs4support-dev (>= 5.2.0),
               libkf5dbusaddons-dev (>= 5.2.0),
               libkf5kcmutils-dev (>= 5.2.0),
               libqt5x11extras5-dev,
               plasma-framework-dev (>= 5.2.0),
               plasma-workspace-dev (>= 4:5.2.2),
               pkg-kde-tools
Standards-Version: 3.9.5
Section: kde
Homepage: https://projects.kde.org/projects/kde/workspace/khotkeys

Package: khotkeys-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: khotkeys
Architecture: any
Depends: khotkeys-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the runtime files.

Package: khotkeys-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the translations and other
 data files.

Package: khotkeys-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: khotkeys (= ${binary:Version}), ${misc:Depends}
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=khotkeys-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/khotkeys-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/khotkeys-(.*)\.tar\.xz

## khotkeys 5.4.2

=== debian/changelog ===
khotkeys (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:53:40 +0100

khotkeys (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:15:57 +0100

khotkeys (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:49:42 +0100

khotkeys (4:5.3.95-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:13:36 +0200

khotkeys (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:27:38 +0000

khotkeys (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport
  * Wrap-and-sort. 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:29:16 +0200

khotkeys (4:5.3.1-1~) UNRELEASED; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:56:28 +0200

khotkeys (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).
  * Bump Standards-Version to 3.9.6.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:48 +0100

khotkeys (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update install files.
  * Update watch file.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 12 Feb 2015 21:31:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,30 @@
 Source: khotkeys
-Priority: extra
+Section: kde
+Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: cmake,
+Uploaders: Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
-               debhelper (>= 9.0.0),
+               debhelper (>= 9),
                extra-cmake-modules (>= 1.3.0~),
-               qtbase5-dev,
+               kinit-dev,
+               kio-dev (>= 5.2.0),
+               libkf5dbusaddons-dev (>= 5.2.0),
                libkf5globalaccel-dev (>= 5.2.0),
                libkf5i18n-dev (>= 5.2.0),
-               kio-dev (>= 5.2.0),
+               libkf5kcmutils-dev (>= 5.2.0),
+               libkf5kdelibs4support-dev (>= 5.2.0),
                libkf5xmlgui-dev (>= 5.2.0),
-               libkf5kdelibs4support-dev (>= 5.2.0),
-               libkf5dbusaddons-dev (>= 5.2.0),
-               libkf5kcmutils-dev (>= 5.2.0),
-               libqt5x11extras5-dev,
+               libqt5x11extras5-dev (>= 5.4.0~),
+               libx11-dev,
+               pkg-kde-tools (>= 0.15.16),
                plasma-framework-dev (>= 5.2.0),
-               plasma-workspace-dev (>= 4:5.2.2),
-               pkg-kde-tools
-Standards-Version: 3.9.5
-Section: kde
+               plasma-workspace-dev (>= 4:5.4.2~),
+               qtbase5-dev (>= 5.4)
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/khotkeys
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/khotkeys.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/khotkeys.git
 
 Package: khotkeys-dev
 Section: devel
@@ -57,9 +62,10 @@
 
 Package: khotkeys-dbg
 Section: debug
+Priority: extra
 Architecture: any
+Depends: khotkeys (= ${binary:Version}), ${misc:Depends}
 Recommends: qtbase5-dbg
-Depends: khotkeys (= ${binary:Version}), ${misc:Depends}
 Description: configure input actions settings
  Configure input actions settings in Plasma.
  .

## khotkeys 5.5.5

=== debian/changelog ===
khotkeys (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:39:11 -0700

khotkeys (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * New upstream release Xenial

  [ Clive Johnston ]
  * new upstream release
  * New upstream release

  [ Scarlett Clark ]
  * Merge unstable into archive to get debian merge. 

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:21:34 +0100

khotkeys (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:30:53 +0100

khotkeys (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:59 +0100

khotkeys (4:5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:15 +0200

khotkeys (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:28 +0200

khotkeys (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Sep 2015 09:46:20 +0200

khotkeys (4:5.3.2-2) unstable; urgency=medium

  * Add Breaks/Replaces for kde-workspace-dev. (Closes: #791954) Thanks
    to Andreas Beckmann

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 21:47:33 +0200

khotkeys (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).
  * New upstream release (5.3.2).
  * Update copyright information.
  * Add the missing Breaks/Replaces.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 02 Jul 2015 10:35:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,20 +6,20 @@
 Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kinit-dev,
-               kio-dev (>= 5.2.0),
-               libkf5dbusaddons-dev (>= 5.2.0),
-               libkf5globalaccel-dev (>= 5.2.0),
-               libkf5i18n-dev (>= 5.2.0),
-               libkf5kcmutils-dev (>= 5.2.0),
-               libkf5kdelibs4support-dev (>= 5.2.0),
-               libkf5xmlgui-dev (>= 5.2.0),
+               extra-cmake-modules (>= 5.18.0~),
+               kinit-dev (>= 5.18.0~),
+               kio-dev (>= 5.18.0~),
+               libkf5dbusaddons-dev (>= 5.18.0~),
+               libkf5globalaccel-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5kcmutils-dev (>= 5.18.0~),
+               libkf5kdelibs4support-dev (>= 5.18.0~),
+               libkf5xmlgui-dev (>= 5.18.0~),
                libqt5x11extras5-dev (>= 5.4.0~),
                libx11-dev,
-               pkg-kde-tools (>= 0.15.16),
-               plasma-framework-dev (>= 5.2.0),
-               plasma-workspace-dev (>= 4:5.4.2~),
+               pkg-kde-tools (>= 0.15.18~),
+               plasma-framework-dev (>= 5.18.0~),
+               plasma-workspace-dev (>= 4:5.5.5~),
                qtbase5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/khotkeys
@@ -30,6 +30,8 @@
 Section: devel
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: kde-workspace-dev
+Replaces: kde-workspace-dev
 Description: configure input actions settings
  Configure input actions settings in Plasma.
  .
@@ -52,6 +54,8 @@
 Package: khotkeys-data
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: configure input actions settings
  Configure input actions settings in Plasma.
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

l10npkgs_firstversion_ok := 4:4.14.0-2

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbg-package=khotkeys-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/khotkeys-([\d.]+)\.tar\.xz
http://download.kde.org/stable/plasma/([\d.]+)/khotkeys-([\d.]+)\.tar\.xz

## khotkeys 5.7.5

=== debian/changelog ===
khotkeys (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:26:23 -0500

khotkeys (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:04:57 +0000

khotkeys (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:44:34 +0100

khotkeys (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:17:24 -0700

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,25 @@
 Build-Depends: cmake (>= 2.8.12),
                dbus-x11,
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               kinit-dev (>= 5.18.0~),
-               kio-dev (>= 5.18.0~),
-               libkf5dbusaddons-dev (>= 5.18.0~),
-               libkf5globalaccel-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5kcmutils-dev (>= 5.18.0~),
-               libkf5kdelibs4support-dev (>= 5.18.0~),
-               libkf5xmlgui-dev (>= 5.18.0~),
-               libqt5x11extras5-dev (>= 5.4.0~),
+               extra-cmake-modules (>= 5.24.0~),
+               kinit-dev (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libkf5dbusaddons-dev (>= 5.24.0~),
+               libkf5globalaccel-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5kcmutils-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-framework-dev (>= 5.18.0~),
-               plasma-workspace-dev (>= 4:5.5.5~),
-               qtbase5-dev (>= 5.4)
+               plasma-framework-dev (>= 5.24.0~),
+               plasma-workspace-dev (>= 4:5.7.5~),
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/khotkeys
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/khotkeys.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/khotkeys.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
 
 Package: khotkeys-dev
 Section: devel

## khotkeys 5.8.6

=== debian/changelog ===
khotkeys (4:5.8.6-1) unstable; urgency=medium

  * New upstream release (5.8.6)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Mar 2017 10:32:52 +0100

khotkeys (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:15 +0100

khotkeys (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:35:36 +0100

khotkeys (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:27:55 +0200

khotkeys (4:5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 23:01:44 +0200

khotkeys (4:5.8.0-1) unstable; urgency=medium

  * New upstream release (5.8.0)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:10:39 +0200

khotkeys (4:5.7.4-1) unstable; urgency=medium

  * New upstream release (5.7.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 31 Aug 2016 14:18:16 +0200

khotkeys (4:5.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Jul 2016 09:43:02 +0200

khotkeys (4:5.6.5-1) unstable; urgency=medium

  * Add XTest build dependency.
    Thanks to Christopher Martin for reporting and suggesting the dependency
    (Closes: 826071)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 14:54:28 +0200

khotkeys (4:5.6.4-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 21:03:19 +0200

khotkeys (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:49:07 +0100

=== debian/control ===
Source: khotkeys
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kinit-dev,
               libkf5dbusaddons-dev (>= 5.2.0),
               libkf5globalaccel-dev (>= 5.2.0),
               libkf5i18n-dev (>= 5.2.0),
               libkf5kcmutils-dev (>= 5.2.0),
               libkf5kdelibs4support-dev (>= 5.2.0),
               libkf5kio-dev (>= 5.2.0),
               libkf5plasma-dev (>= 5.2.0),
               libkf5xmlgui-dev (>= 5.2.0),
               libqt5x11extras5-dev (>= 5.4.0~),
               libx11-dev,
               libxtst-dev,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.2.2),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/khotkeys
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/khotkeys.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/khotkeys.git

Package: khotkeys-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-workspace-dev
Replaces: kde-workspace-dev
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: khotkeys
Architecture: any
Depends: khotkeys-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the runtime files.

Package: khotkeys-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the translations and other
 data files.

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/khotkeys-([\d.]+)\.tar\.xz

## khotkeys 5.9.4

=== debian/changelog ===
khotkeys (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:58:12 +0000

khotkeys (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:52:08 +0000

khotkeys (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:05:16 +0000

khotkeys (4:5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:20:14 +0000

khotkeys (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:55:21 +0000

khotkeys (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:45:11 +0000

khotkeys (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ Rik Mills ]
  * Merge from debian
  * New upstream release (5.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:54:39 +0000

khotkeys (4:5.7.2-0ubuntu2) UNRELEASED; urgency=medium

  * Add missing copyright field

 -- Rik Mills <rik.mills88@gmail.com>  Sat, 20 Aug 2016 18:57:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,30 +5,30 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kinit-dev,
-               libkf5dbusaddons-dev (>= 5.2.0),
-               libkf5globalaccel-dev (>= 5.2.0),
-               libkf5i18n-dev (>= 5.2.0),
-               libkf5kcmutils-dev (>= 5.2.0),
-               libkf5kdelibs4support-dev (>= 5.2.0),
-               libkf5kio-dev (>= 5.2.0),
-               libkf5plasma-dev (>= 5.2.0),
-               libkf5xmlgui-dev (>= 5.2.0),
-               libqt5x11extras5-dev (>= 5.4.0~),
+               extra-cmake-modules (>= 5.31.0~),
+               kinit-dev (>= 5.31.0~),
+               libkf5dbusaddons-dev (>= 5.31.0~),
+               libkf5globalaccel-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kcmutils-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5plasma-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
+               libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.2.2),
-               qtbase5-dev (>= 5.4)
+               plasma-workspace-dev (>= 4:5.9.4~),
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/khotkeys
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/khotkeys.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/khotkeys.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
 
 Package: khotkeys-dev
+Architecture: any
 Section: devel
-Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: kde-workspace-dev
 Replaces: kde-workspace-dev

## khotkeys 5.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(khotkeys)
-set(PROJECT_VERSION "5.5.5")
+set(PROJECT_VERSION "5.9.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
@@ -16,7 +16,7 @@
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMPackageConfigHelpers)
 include(ECMOptionalAddSubdirectory)
 
@@ -36,6 +36,7 @@
 
 if(X11_FOUND)
     find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS X11Extras )
+    set(HAVE_XTEST ${X11_XTest_FOUND})
 endif()
 
 configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)

=== debian/changelog ===
khotkeys (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:16:21 +0100

## khotkeys 5.10.5

=== debian/changelog ===
khotkeys (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:39:56 +0100

khotkeys (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:37:54 +0100

khotkeys (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:16:27 +0100

khotkeys (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:12:46 +0100

khotkeys (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:09:32 +0100

khotkeys (4:5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:49:47 +0100

khotkeys (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:31:55 +0100

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               kinit-dev (>= 5.31.0~),
-               libkf5dbusaddons-dev (>= 5.31.0~),
-               libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5plasma-dev (>= 5.31.0~),
-               libkf5xmlgui-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
+               kinit-dev (>= 5.36.0~),
+               libkf5dbusaddons-dev (>= 5.36.0~),
+               libkf5globalaccel-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5kcmutils-dev (>= 5.36.0~),
+               libkf5kdelibs4support-dev (>= 5.36.0~),
+               libkf5kio-dev (>= 5.36.0~),
+               libkf5plasma-dev (>= 5.36.0~),
+               libkf5xmlgui-dev (>= 5.36.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.9.4~),
+               plasma-workspace-dev (>= 4:5.10.5~),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/khotkeys

## khotkeys 5.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(khotkeys)
-set(PROJECT_VERSION "5.9.5")
+set(PROJECT_VERSION "5.12.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
@@ -61,3 +61,8 @@
 
 find_package(KF5I18n CONFIG REQUIRED)
 ki18n_install(po)
+
+  find_package(KF5DocTools CONFIG)
+  if(KF5DocTools_FOUND)
+    kdoctools_install(po)
+  endif()

=== debian/changelog ===
khotkeys (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:52:48 +0100

khotkeys (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:48:53 +0000

khotkeys (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:42:28 +0000

khotkeys (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:12:32 +0000

khotkeys (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:49:59 +0000

khotkeys (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:38:40 +0000

khotkeys (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:14:37 -0600

khotkeys (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:58:07 +0000

=== debian/control ===
Source: khotkeys
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.42.0~),
               kinit-dev (>= 5.42.0~),
               libkf5dbusaddons-dev (>= 5.42.0~),
               libkf5globalaccel-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5kcmutils-dev (>= 5.42.0~),
               libkf5kdelibs4support-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5plasma-dev (>= 5.42.0~),
               libkf5xmlgui-dev (>= 5.42.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               libxtst-dev,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.12.4~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/khotkeys
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys

Package: khotkeys
Architecture: any
Depends: khotkeys-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the runtime files.

Package: khotkeys-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the translations and other
 data files.

Package: khotkeys-dev
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-workspace-dev
Replaces: kde-workspace-dev
Description: configure input actions settings
 Configure input actions settings in Plasma.
 .
 KHotKeys is part of the KDE Plasma desktop.
 .
 This package contains the development files.

## khotkeys 5.12.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(khotkeys)
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.8")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

=== debian/changelog ===
khotkeys (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:39:04 +0100

khotkeys (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:55:15 +0100

khotkeys (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:28:39 +0100

khotkeys (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:33:47 +0100

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.12.4~),
-               qtbase5-dev (>= 5.6.1~)
+               plasma-workspace-dev (>= 4:5.12.8~),
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/khotkeys
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
@@ -54,7 +54,8 @@
 Package: khotkeys-dev
 Architecture: any
 Section: devel
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Breaks: kde-workspace-dev
 Replaces: kde-workspace-dev
 Description: configure input actions settings

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
-	$(overridden_command) --dbg-package=khotkeys-dbg
+	$(overridden_command) --dbgsym-migration='khotkeys-dbg (<= 4:5.5.5-1~~)'

## khotkeys 5.13.5

=== debian/changelog ===
khotkeys (4:5.13.5-1ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)
  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Bumped Frameworks & Plasma build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:34:41 +0100

khotkeys (4:5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:32 +0200

khotkeys (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Bumped Frameworks & Plasma build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 28 Aug 2018 16:43:25 +0100

khotkeys (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.2).
  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:17:58 +0200

khotkeys (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:40:45 +0100

khotkeys (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:25:40 +0100

khotkeys (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:42:57 +0200

khotkeys (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:30:53 +0100

khotkeys (4:5.12.5-1) unstable; urgency=medium

  * New upstream release (5.12.5).
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:23:56 +0200

khotkeys (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:23:51 +0100

khotkeys (4:5.12.4-1) unstable; urgency=medium

  * New upstream release (5.12.4).
  * Update docbook copyright paragraph
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Mar 2018 18:12:43 +0200

khotkeys (4:5.12.2-1) sid; urgency=medium

  * New upstream release (5.12.2).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 24 Feb 2018 09:47:52 +0100

khotkeys (4:5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:46 +0100

khotkeys (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:33 +0100

khotkeys (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:37 +0100

khotkeys (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Add libkf5doctools-dev build dep
  * Add libkf5itemmodels-dev build dep
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:48:53 -0300

khotkeys (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:20 +0200

khotkeys (4:5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3).
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * update watch file to version=4 with pgp signature checking

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:29:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.42.0~),
                kinit-dev (>= 5.42.0~),
                libkf5dbusaddons-dev (>= 5.42.0~),
+               libkf5doctools-dev (>= 5.42.0~),
                libkf5globalaccel-dev (>= 5.42.0~),
                libkf5i18n-dev (>= 5.42.0~),
+               libkf5itemmodels-dev (>= 5.42.0~),
                libkf5kcmutils-dev (>= 5.42.0~),
                libkf5kdelibs4support-dev (>= 5.42.0~),
                libkf5kio-dev (>= 5.42.0~),
@@ -19,9 +21,9 @@
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.12.8~),
+               plasma-workspace-dev (>= 4:5.13.5~),
                qtbase5-dev (>= 5.6.1~),
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/khotkeys
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
@@ -30,7 +32,7 @@
 Architecture: any
 Depends: khotkeys-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: configure input actions settings
  Configure input actions settings in Plasma.
  .
@@ -52,10 +54,9 @@
  data files.
 
 Package: khotkeys-dev
+Section: devel
 Architecture: any
-Section: devel
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: kde-workspace-dev
 Replaces: kde-workspace-dev
 Description: configure input actions settings

## khotkeys 5.14.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 project(khotkeys)
-set(PROJECT_VERSION "5.12.8")
+set(PROJECT_VERSION "5.14.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(QT_MIN_VERSION "5.4.0")
+set(QT_MIN_VERSION "5.11.0")
 
 include_directories(
     ${CMAKE_CURRENT_SOURCE_DIR}/libkhotkeysprivate

=== debian/changelog ===
khotkeys (4:5.14.5-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:34:53 +0800

khotkeys (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:25:48 -0300

khotkeys (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:56 -0300

=== debian/control ===
--- 
+++ 
@@ -5,28 +5,28 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.42.0~),
-               kinit-dev (>= 5.42.0~),
-               libkf5dbusaddons-dev (>= 5.42.0~),
-               libkf5doctools-dev (>= 5.42.0~),
-               libkf5globalaccel-dev (>= 5.42.0~),
-               libkf5i18n-dev (>= 5.42.0~),
-               libkf5itemmodels-dev (>= 5.42.0~),
-               libkf5kcmutils-dev (>= 5.42.0~),
-               libkf5kdelibs4support-dev (>= 5.42.0~),
-               libkf5kio-dev (>= 5.42.0~),
-               libkf5plasma-dev (>= 5.42.0~),
-               libkf5xmlgui-dev (>= 5.42.0~),
-               libqt5x11extras5-dev (>= 5.6.1~),
+               extra-cmake-modules (>= 1.3.0~),
+               kinit-dev,
+               libkf5dbusaddons-dev (>= 5.2.0),
+               libkf5doctools-dev (>= 5.41.0),
+               libkf5globalaccel-dev (>= 5.2.0),
+               libkf5i18n-dev (>= 5.2.0),
+               libkf5itemmodels-dev (>= 5.41.0~),
+               libkf5kcmutils-dev (>= 5.2.0),
+               libkf5kdelibs4support-dev (>= 5.2.0),
+               libkf5kio-dev (>= 5.2.0),
+               libkf5plasma-dev (>= 5.2.0),
+               libkf5xmlgui-dev (>= 5.2.0),
+               libqt5x11extras5-dev (>= 5.11.0~),
                libx11-dev,
                libxtst-dev,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.13.5~),
-               qtbase5-dev (>= 5.6.1~),
+               plasma-workspace-dev (>= 4:5.2.2),
+               qtbase5-dev (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/khotkeys
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khotkeys
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khotkeys
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khotkeys.git
 
 Package: khotkeys
 Architecture: any
